import { ZodSchema } from 'zod';
export default abstract class Config<T> {
    protected abstract schema: ZodSchema<T>;
    private readonly filename;
    constructor(filename: string);
    isAvailable(): boolean;
    parse(): T;
}
